This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 465721 - Intermittent XCBUnlockDisplay Assertion failure [NEEDINFO]
Intermittent XCBUnlockDisplay Assertion failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libxcb (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-05 22:05 EDT by Scott Glazier
Modified: 2009-07-14 10:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:00:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: needinfo? (s.glazier)


Attachments (Terms of Use)

  None (edit)
Description Scott Glazier 2008-10-05 22:05:07 EDT
Description of problem:

Custom application aborts with xcb_lock.c:33: _XCBUnlockDisplay: Assertion `xcb_get_request_sent(dpy->xcb->connection) == dpy->request` failed.

Version-Release number of selected component (if applicable):

FC 9
Qt 4.4.2 compiled from source.

(running from rawhide but same result from fc9 updates)
libxcb-1.1.91-2.fc10.x86_64
libxcb-1.1.91-2.fc10.i386
libX11-1.1.4-4.fc10.x86_64
libX11-1.1.4-4.fc10.i386


How reproducible:

Intermittent, it could abort after half a day or two days. 

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Terminal output xcb_lock.c:33: _XCBUnlockDisplay: Assertion `xcb_get_request_sent(dpy->xcb->connection) == dpy->request` failed.

Core backtrace

Program terminated with signal 6, Aborted.
[New process 30332]
#0  0x000000334d832215 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64        return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) backtrace
#0  0x000000334d832215 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x000000334d833d83 in abort () at abort.c:88
#2  0x000000334d82b039 in __assert_fail (assertion=<value optimized out>, file=<value optimized out>, line=<value optimized out>, function=<value optimized out>) at assert.c:78
#3  0x0000003a30c4c4c7 in _XCBUnlockDisplay (dpy=<value optimized out>) at xcb_lock.c:33
#4  0x0000003a30c3e852 in XSetClipRectangles (dpy=<value optimized out>, gc=<value optimized out>, clip_x_origin=<value optimized out>,
    clip_y_origin=<value optimized out>, rectangles=<value optimized out>, n=<value optimized out>, ordering=Could not find the frame base for "XSetClipRectangles".) at SetCRects.c:79
#5  0x00007fcf472920ac in QX11PaintEngine::updateClipRegion_dev (this=<value optimized out>, clipRegion=<value optimized out>, op=<value optimized out>) at painting/qpaintengine_x11.cpp:165
#6  0x00007fcf472971ce in QX11PaintEngine::updateState (this=0x21e0840, state=@0x7fcf40282ca0) at painting/qpaintengine_x11.cpp:1012
#7  0x00007fcf471f5b7a in QPainterPrivate::updateStateImpl (this=0x7fcf3ee48700, newState=0x7fcf40282ca0) at painting/qpainter.cpp:884
#8  0x00007fcf471f5c5b in QPainterPrivate::updateState (this=0x7fcf3ee48700, newState=0x7fcf40282ca0) at painting/qpainter.cpp:912
#9  0x00007fcf471f7c47 in QPainter::setClipRect (this=<value optimized out>, rect=<value optimized out>, op=<value optimized out>)
    at painting/qpainter.cpp:2341
#10 0x00007fcf471f7e66 in QPainter::setClipRect (this=0x7fff4faafef0, rect=@0x7fff4faaf960, op=Qt::IntersectClip) at painting/qpainter.cpp:2303
#11 0x00007fcf471f8a0b in qt_format_text (fnt=@0x7fcf4219ca98, _r=<value optimized out>, tf=1156, option=0x0, str=@0x202d538, brect=0x0,
    tabstops=0, tabarraylen=0, painter=0x7fff4faafef0) at painting/qpainter.cpp:6690
#12 0x00007fcf471f91d3 in QPainter::drawText (this=0x7fff4faafef0, r=@0x7fff4faafe80, flags=1156, str=@0x202d538, br=0x0)
    at painting/qpainter.cpp:4959
#13 0x00007fcf47360601 in QStyle::drawItemText (this=0x17d4180, painter=0x7fff4faafef0, rect=@0x7fff4faafe80, alignment=1156, pal=@0x202d3f0,
    enabled=true, text=@0x202d538, textRole=QPalette::WindowText) at styles/qstyle.cpp:529
#14 0x00007fcf4744f9ad in QLabel::paintEvent (this=<value optimized out>) at widgets/qlabel.cpp:1022
#15 0x00007fcf4714fcd4 in QWidget::event (this=0x767c, event=0x7fff4fab0550) at kernel/qwidget.cpp:7307
#16 0x00007fcf470fd5bd in QApplicationPrivate::notify_helper (this=0x17a1920, receiver=0x202cc80, e=0x7fff4fab0550) at kernel/qapplication.cpp:3809
#17 0x00007fcf4710539a in QApplication::notify (this=0x7fff4fab6be0, receiver=0x202cc80, e=0x7fff4fab0550) at kernel/qapplication.cpp:3774
#18 0x0000000005550801 in QCoreApplication::notifyInternal (this=0x7fff4fab6be0, receiver=0x202cc80, event=0x7fff4fab0550)
    at kernel/qcoreapplication.cpp:593
#19 0x00007fcf4714e70f in QWidgetPrivate::drawWidget (this=0x202d330, pdev=0x1ab2238, rgn=@0x7fff4fab07b0, offset=@0x7fff4fab07a0, flags=4,
    sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4642
#20 0x00007fcf4714edf2 in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=33740592,
    rgn=@0x7fff4fab0890, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4741
#21 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=23,
    rgn=@0x7fff4fab0970, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#22 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=24,
    rgn=@0x7fff4fab0a50, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#23 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=25,
    rgn=@0x7fff4fab0b30, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#24 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=26,
    rgn=@0x7fff4fab0c10, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#25 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=27,
    rgn=@0x7fff4fab0cf0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#26 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=28,
    rgn=@0x7fff4fab0dd0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#27 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=29,
    rgn=@0x7fff4fab0eb0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#28 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=30,
    rgn=@0x7fff4fab0f90, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#29 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=31,
    rgn=@0x7fff4fab1070, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#30 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=32,
    rgn=@0x7fff4fab1150, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#31 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=33,
    rgn=@0x7fff4fab1230, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#32 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=34,
    rgn=@0x7fff4fab1310, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#33 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=35,
    rgn=@0x7fff4fab13f0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#34 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=36,
    rgn=@0x7fff4fab14d0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#35 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=37,
    rgn=@0x7fff4fab15b0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#36 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=38,
    rgn=@0x7fff4fab1690, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#37 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=39,
    rgn=@0x7fff4fab1770, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#38 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=40,
    rgn=@0x7fff4fab1850, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#39 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=41,
    rgn=@0x7fff4fab1930, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#40 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=42,
    rgn=@0x7fff4fab1a10, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#41 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=43,
    rgn=@0x7fff4fab1af0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#42 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=44,
    rgn=@0x7fff4fab1bd0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#43 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=45,
    rgn=@0x7fff4fab1cb0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#44 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=46,
    rgn=@0x7fff4fab1d90, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#45 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=47,
    rgn=@0x7fff4fab1e70, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#46 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=48,
    rgn=@0x7fff4fab1f50, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#47 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=49,
    rgn=@0x7fff4fab2030, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#48 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=50,
    rgn=@0x7fff4fab2110, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#49 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=51,
    rgn=@0x7fff4fab21f0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#50 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=52,
    rgn=@0x7fff4fab22d0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#51 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=53,
    rgn=@0x7fff4fab23b0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#52 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=54,
    rgn=@0x7fff4fab2490, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#53 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=55,
    rgn=@0x7fff4fab2570, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#54 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=56,
    rgn=@0x7fff4fab2650, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#55 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=57,
    rgn=@0x7fff4fab2730, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#56 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=58,
    rgn=@0x7fff4fab2810, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#57 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=59,
    rgn=@0x7fff4fab28f0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#58 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=60,
    rgn=@0x7fff4fab29d0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#59 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=61,
    rgn=@0x7fff4fab2ab0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#60 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=62,
    rgn=@0x7fff4fab2b90, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#61 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=63,
    rgn=@0x7fff4fab2c70, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#62 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=64,
    rgn=@0x7fff4fab2d50, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#63 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=65,
    rgn=@0x7fff4fab2e30, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#64 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=66,
    rgn=@0x7fff4fab2f10, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#65 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=67,
    rgn=@0x7fff4fab2ff0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#66 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=68,
    rgn=@0x7fff4fab30d0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#67 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=69,
    rgn=@0x7fff4fab31b0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#68 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=70,
    rgn=@0x7fff4fab3290, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#69 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=71,
    rgn=@0x7fff4fab3370, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#70 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=72,
    rgn=@0x7fff4fab3450, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#71 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=73,
    rgn=@0x7fff4fab3530, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#72 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=74,
    rgn=@0x7fff4fab3610, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#73 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=75,
    rgn=@0x7fff4fab36f0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#74 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=76,
    rgn=@0x7fff4fab37d0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#75 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=77,
    rgn=@0x7fff4fab38b0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#76 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=78,
    rgn=@0x7fff4fab3990, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#77 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=79,
    rgn=@0x7fff4fab3a70, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#78 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=80,
    rgn=@0x7fff4fab3b50, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#79 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=81,
    rgn=@0x7fff4fab3c30, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#80 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=82,
    rgn=@0x7fff4fab3d10, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#81 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=83,
    rgn=@0x7fff4fab3df0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#82 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=84,
    rgn=@0x7fff4fab3ed0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#83 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=85,
    rgn=@0x7fff4fab3fb0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#84 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=86,
    rgn=@0x7fff4fab4090, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#85 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=87,
    rgn=@0x7fff4fab4170, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#86 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=88,
    rgn=@0x7fff4fab4250, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#87 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=89,
    rgn=@0x7fff4fab4330, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#88 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=90,
    rgn=@0x7fff4fab4410, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#89 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=91,
    rgn=@0x7fff4fab44f0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#90 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=92,
    rgn=@0x7fff4fab45d0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#91 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=93,
    rgn=@0x7fff4fab46b0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#92 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=94,
    rgn=@0x7fff4fab4790, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#93 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=95,
    rgn=@0x7fff4fab4870, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#94 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=96,
    rgn=@0x7fff4fab4950, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#95 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=97,
    rgn=@0x7fff4fab4a30, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#96 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=98,
    rgn=@0x7fff4fab4b10, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#97 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=99,
    rgn=@0x7fff4fab4bf0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#98 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=100,
    rgn=@0x7fff4fab4cd0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#99 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=101,
    rgn=@0x7fff4fab4db0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#100 0x00007fcf4714ed1b in QWidgetPrivate::paintSiblingsRecursive (this=0x2021820, pdev=0x1ab2238, siblings=@0x7fff4fab4f80, index=102,
    rgn=@0x7fff4fab50f0, offset=@0x7fff4fab50e0, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4731
#101 0x00007fcf4714e3c8 in QWidgetPrivate::drawWidget (this=0x2021820, pdev=0x1ab2238, rgn=@0x7fff4fab50f0, offset=@0x7fff4fab50e0, flags=4,
    sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4683
#102 0x00007fcf4714edf2 in QWidgetPrivate::paintSiblingsRecursive (this=0x181a8a0, pdev=0x1ab2238, siblings=@0x7fff4fab52c0, index=33692640,
    rgn=@0x7fff4fab5430, offset=@0x7fff4fab5420, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4741
#103 0x00007fcf4714e3c8 in QWidgetPrivate::drawWidget (this=0x181a8a0, pdev=0x1ab2238, rgn=@0x7fff4fab5430, offset=@0x7fff4fab5420, flags=4,
    sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4683
#104 0x00007fcf4714edf2 in QWidgetPrivate::paintSiblingsRecursive (this=0x1808930, pdev=0x1ab2238, siblings=@0x7fff4fab5600, index=25686432,
    rgn=@0x7fff4fab57f0, offset=@0x187edf8, flags=4, sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4741
#105 0x00007fcf4714e3c8 in QWidgetPrivate::drawWidget (this=0x1808930, pdev=0x1ab2238, rgn=@0x7fff4fab57f0, offset=@0x187edf8, flags=4,
    sharedPainter=0x7fcf3ec903b0) at kernel/qwidget.cpp:4683
#106 0x00007fcf472a5011 in QWidgetBackingStore::cleanRegion (this=0x187ede0, rgn=<value optimized out>, widget=0x7fff4fab6220,
    recursiveCopyToScreen=true) at painting/qbackingstore.cpp:1040
#107 0x00007fcf472a5477 in qt_syncBackingStore (widget=0x7fff4fab6220) at painting/qbackingstore.cpp:319
#108 0x00007fcf4714faf5 in QWidget::event (this=0x767c, event=0x7fcf3f274850) at kernel/qwidget.cpp:7453
#109 0x00007fcf4746480b in QMainWindow::event (this=0x7fff4fab6220, event=0x7fcf3f274850) at widgets/qmainwindow.cpp:1274
#110 0x00007fcf470fd5bd in QApplicationPrivate::notify_helper (this=0x17a1920, receiver=0x7fff4fab6220, e=0x7fcf3f274850)
    at kernel/qapplication.cpp:3809
#111 0x00007fcf4710539a in QApplication::notify (this=0x7fff4fab6be0, receiver=0x7fff4fab6220, e=0x7fcf3f274850) at kernel/qapplication.cpp:3774
#112 0x0000000005550801 in QCoreApplication::notifyInternal (this=0x7fff4fab6be0, receiver=0x7fff4fab6220, event=0x7fcf3f274850)
    at kernel/qcoreapplication.cpp:593
#113 0x00000000055514aa in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1796f10)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#114 0x0000000005578fd3 in postEventSourceDispatch (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#115 0x0000003feb83742b in IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2012
#116 0x0000003feb83ac0d in g_main_context_iterate (context=<value optimized out>, block=<value optimized out>, dispatch=<value optimized out>,
    self=<value optimized out>) at gmain.c:2645
#117 0x0000003feb83adcb in IA__g_main_context_iteration (context=<value optimized out>, may_block=<value optimized out>) at gmain.c:2708
#118 0x0000000005578c5f in QEventDispatcherGlib::processEvents (this=0x17a2970, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:325
#119 0x00007fcf4718f0df in QGuiEventDispatcherGlib::processEvents (this=0x767c, flags=<value optimized out>)
    at kernel/qguieventdispatcher_glib.cpp:204
#120 0x000000000554f112 in QEventLoop::processEvents (this=<value optimized out>, flags={i = 1336631600}) at kernel/qeventloop.cpp:149
#121 0x000000000554f29d in QEventLoop::exec (this=0x7fff4fab6170, flags={i = 1336631680}) at kernel/qeventloop.cpp:200
#122 0x000000000555176d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:851
#123 0x0000000000410bda in main (argc=2, argv=0x7fff4fab6e08) at main.cpp:60
Current language:  auto; currently c
Comment 1 Juha Tuomala 2008-10-20 05:08:49 EDT
I see this daily.
Comment 2 Kevin Kofler 2008-10-20 05:44:27 EDT
> Qt 4.4.2 compiled from source.

Can this be reproduced with the Qt in Fedora?
Comment 3 Kevin Kofler 2008-10-20 05:55:32 EDT
Removing invalid bug reference (no such bug at bugs.kde.org).
Comment 4 Kevin Kofler 2008-10-20 05:59:11 EDT
Tuju can reproduce with the Fedora Qt, clearing needinfo.
Comment 5 Juha Tuomala 2008-10-20 06:14:30 EDT
Not really reproduce systematically but i do see it a lot.

http://bugs.kde.org/show_bug.cgi?id=173014

and just saw it with krunner after running something with alt+F2.
Comment 6 Juha Tuomala 2008-10-20 06:17:30 EDT
Application: Run Command Interface (krunner), signal SIGSEGV
[Thread debugging using libthread_db enabled]
[New Thread 0x7f18327de800 (LWP 30382)]
[New Thread 0x427d3950 (LWP 23606)]
[KCrash handler]
#5  KStartupInfo::Private::remove_startup_pids (this=<value optimized out>, 
    id_P=<value optimized out>, data_P=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.2/kdeui/kernel/kstartupinfo.cpp:438
#6  0x0000003a4521ccce in KStartupInfo::Private::got_remove_startup_info (
    this=<value optimized out>, msg_P=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.2/kdeui/kernel/kstartupinfo.cpp:378
#7  0x0000003a4521d718 in KStartupInfo::Private::got_message (
    this=<value optimized out>, msg_P=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.2/kdeui/kernel/kstartupinfo.cpp:232
#8  0x0000003a4521d7fe in KStartupInfo::qt_metacall (
    this=<value optimized out>, _c=<value optimized out>, 
    _id=<value optimized out>, _a=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.2/x86_64-redhat-linux-gnu/kdeui/kstartupinfo.moc:85
#9  0x0000003cad157194 in QMetaObject::activate ()
   from /usr/lib64/libQtCore.so.4
#10 0x0000003a45276302 in KXMessages::gotMessage (this=<value optimized out>, 
    _t1=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.2/x86_64-redhat-linux-gnu/kdeui/kxmessages.moc:76
#11 0x0000003a4527765a in KXMessages::x11Event (this=<value optimized out>, 
    ev_P=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.2/kdeui/util/kxmessages.cpp:217
#12 0x0000003a451fa963 in KApplication::x11EventFilter (
    this=<value optimized out>, _event=<value optimized out>)
    at /usr/src/debug/kdelibs-4.1.2/kdeui/kernel/kapplication.cpp:951
#13 0x0000003e341d8c9f in ?? () from /usr/lib64/libQtGui.so.4
#14 0x0000003e341ea346 in QApplication::x11ProcessEvent ()
   from /usr/lib64/libQtGui.so.4
#15 0x0000003e3421129c in ?? () from /usr/lib64/libQtGui.so.4
#16 0x0000003cabc3742b in IA__g_main_context_dispatch (
    context=<value optimized out>) at gmain.c:2012
#17 0x0000003cabc3ac0d in g_main_context_iterate (
    context=<value optimized out>, block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>)
    at gmain.c:2645
#18 0x0000003cabc3adcb in IA__g_main_context_iteration (
    context=<value optimized out>, may_block=<value optimized out>)
    at gmain.c:2708
#19 0x0000003cad16b24f in QEventDispatcherGlib::processEvents ()
   from /usr/lib64/libQtCore.so.4
#20 0x0000003e34210a0f in ?? () from /usr/lib64/libQtGui.so.4
#21 0x0000003cad141662 in QEventLoop::processEvents ()
   from /usr/lib64/libQtCore.so.4
#22 0x0000003cad1417ed in QEventLoop::exec () from /usr/lib64/libQtCore.so.4
#23 0x0000003cad143cbd in QCoreApplication::exec ()
   from /usr/lib64/libQtCore.so.4
#24 0x0000003a4961e1d5 in kdemain (argc=<value optimized out>, 
    argv=<value optimized out>)
    at /usr/src/debug/kdebase-workspace-4.1.2/krunner/main.cpp:53
#25 0x0000003f21a1e32a in __libc_start_main (main=<value optimized out>, 
    argc=<value optimized out>, ubp_av=<value optimized out>, 
    init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=) at libc-start.c:220
#26 0x0000000000400899 in _start ()
Comment 7 Bug Zapper 2009-06-09 22:53:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Kevin Kofler 2009-06-10 01:44:13 EDT
Is this still reproducible on F10 or F11?
Comment 9 Bug Zapper 2009-07-14 10:00:34 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.